-- MySQL dump 10.11
--
-- Host: localhost    Database: Syslog
-- ------------------------------------------------------
-- Server version	5.0.84

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `SystemEvents`
--
CREATE DATABASE IF NOT EXISTS `Syslog`;
USE `Syslog`


/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SystemEvents` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `CustomerID` bigint(20) default NULL,
  `ReceivedAt` datetime default NULL,
  `DeviceReportedTime` datetime default NULL,
  `Facility` smallint(6) default NULL,
  `Priority` smallint(6) default NULL,
  `FromHost` varchar(60) default NULL,
  `Message` text,
  `NTSeverity` int(11) default NULL,
  `Importance` int(11) default NULL,
  `EventSource` varchar(60) default NULL,
  `EventUser` varchar(60) default NULL,
  `EventCategory` int(11) default NULL,
  `EventID` int(11) default NULL,
  `EventBinaryData` text,
  `MaxAvailable` int(11) default NULL,
  `CurrUsage` int(11) default NULL,
  `MinUsage` int(11) default NULL,
  `MaxUsage` int(11) default NULL,
  `InfoUnitID` int(11) default NULL,
  `SysLogTag` varchar(60) default NULL,
  `EventLogType` varchar(60) default NULL,
  `GenericFileName` varchar(60) default NULL,
  `SystemID` int(11) default NULL,
  `processid` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `SystemEvents_01` (`ReceivedAt`,`FromHost`,`Message`(255)),
  KEY `SystemEvents_02` (`DeviceReportedTime`,`FromHost`,`Message`(255)),
  KEY `SystemEvents_03` (`ReceivedAt`,`Priority`,`Facility`,`FromHost`)
) ENGINE=InnoDB AUTO_INCREMENT=15958798 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `SystemEventsProperties`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SystemEventsProperties` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `SystemEventID` int(11) default NULL,
  `ParamName` varchar(255) default NULL,
  `ParamValue` text,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-03-14 18:14:44
